# vim: set ft=spec: -*- spec -*-
# $Id: mount.app,v 1.2 2003/11/17 20:24:48 raorn Exp $

%define ver 3.0
%define rel alt1

Name: mount.app
Version: %ver
Release: %rel.2

Summary: A Window Maker dock app which simplifies managing mountable devices
License: GPL
Group:  Graphical desktop/Window Maker
URL: http://mountapp.sourceforge.net

Source: %url/mountapp-%ver.tar.gz
Source1: %name.menu

Patch: mountapp-3.0-alt-i18n.patch
Patch1: mountapp-3.0-alt-WINGs-path.patch

BuildPreReq: automake autoconf

# Automatically added by buildreq on Mon Nov 17 2003 (-bi)
BuildRequires: XFree86-devel fontconfig-devel freetype2-devel glib-devel gtk+-devel libWINGs-devel libjpeg-devel libpng-devel libtiff-devel libungif-devel libwraster-devel xpm-devel zlib-devel

%description
This is a Window Maker dock app which allows you to browse all your mount
points and to mount/unmount devices in a simple point and click manner.

%prep
%setup -n mountapp-%ver
%patch -p1 -b .i18n
%patch1 -p1

%build
%__aclocal
%__automake
%__autoheader
%__autoconf
export ac_cv_path_MOUNT_CMD=/bin/mount
export ac_cv_path_UMOUNT_CMD=/bin/umount
export ac_cv_path_EJECT_CMD=/usr/bin/eject
export ac_cv_path_XMESSAGE=/usr/X11R6/bin/xmessage
%configure \
	--prefix=%_x11dir \
	--bindir=%_x11bindir \
	--datadir=%_x11datadir \
	--with-nlsdir=%_datadir/locale
%make_build

%install
%makeinstall \
	bindir=%buildroot%_x11bindir \
	datadir=%buildroot%_x11datadir \
	nlsdir=%buildroot%_datadir/locale
%__install -p -D -m644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name
%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc TODO README README.smb INSTALL THANKS AUTHORS COPYING NEWS ChangeLog
%_x11bindir/*
%_menudir/%name
%dir %_x11datadir/%name
%_x11datadir/%name/*

%changelog
* Sun May 22 2005 Alexey Voinov <voins@altlinux.ru> 3.0-alt1.2
- rebuilt wityh new libWINGs.so

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 3.0-alt1.1
- Rebuilt with libtiff.so.4.

* Mon Nov 17 2003 Sir Raorn <raorn@altlinux.ru> 3.0-alt1
- [3.0]
- alt-i18n patch updated

* Wed Jul 09 2003 Sir Raorn <raorn@altlinux.ru> 2.7-alt2
- alt-i18n patch by voins
- Removed build deps on XFree86-utils and eject

* Tue Oct 22 2002 Sir Raorn <raorn@altlinux.ru> 2.7-alt1
- [2.7]
- Updated BuildRequires

* Thu Jan 10 2002 Sir Raorn <raorn@altlinux.ru> 2.6-alt2
- BuildRequires tag (But why?)

* Mon Dec 24 2001 Sir Raorn <raorn@altlinux.ru> 2.6-alt1
- Built for Sisyphus


